Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#12273 - Dependencies of packages are sometimes not displayed on the web interface

Attached to Project: Arch Linux
Opened by Greg (dolby) - Saturday, 29 November 2008, 04:19 GMT
Last edited by Dusty Phillips (Dusty) - Monday, 13 July 2009, 18:46 GMT
Task Type Bug Report
Category Web Sites
Status Closed
Assigned To Dusty Phillips (Dusty)
Dan McGee (toofishes)
Architecture All
Severity High
Priority Normal
Reported Version None
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description: The dependencies of packages in archlinux.org are sometimes not displayed.

Steps to reproduce:

For example see :
http://archlinux.org/packages/extra/x86_64/dvd+rw-tools/ which says Required By (0):
on the contrary archlinux.de says:
http://www.archlinux.de/?page=PackageDetails;package=2370
As you can see there are some dependencies from official repos
This task depends upon

Closed by  Dusty Phillips (Dusty)
Monday, 13 July 2009, 18:46 GMT
Reason for closing:  Implemented
Additional comments about closing:  Patch applied, I didn't actually test it though, shame on me...
Comment by Glenn Matthys (RedShift) - Friday, 05 December 2008, 20:56 GMT
I'm currently seeing the same result on both archlinux.org and archlinux.de.
Comment by Greg (dolby) - Saturday, 06 December 2008, 03:36 GMT
I still dont see under the Require By on .org eg. graveman. Required by is a dependency some other package has on the one you are viewing.
I guess you are looking a t the left column.
Comment by Glenn Matthys (RedShift) - Saturday, 06 December 2008, 09:41 GMT
Ah yes indeed, I was looking at Dependencies, not Required By. Confirmed bugreport.
Comment by Henning Garus (garns) - Saturday, 04 July 2009, 13:59 GMT
In reporead.py '+' is missing in the regex used to read depends. This leads to graveman etc. depending on dvd instead of dvd+rw-tools.
Comment by Henning Garus (garns) - Saturday, 04 July 2009, 14:02 GMT
Added the wrong diff obviously...
Comment by Dan McGee (toofishes) - Sunday, 05 July 2009, 23:43 GMT
Looks reasonable to me. I can't get to it right now but we should be able to get this change in.

Loading...